<!--
This component represents one route. It displays the details in an expandable table format.
-->
<template>
    <div>
        <table class="table table-condensed table-sm  table-fixed table-responsive-md">
            <thead @click="show= !show" class="clickable thead-light">
                <th scope="col" class="fifteen">{{route.duration}}</th>
                <th scope="col" class="ten">{{route.startTime}}</th>
                <th scope="col" class="thirty">{{route.reiswegStappen[0].startLocatie}}</th>
                <th scope="col" class="ten">{{route.endTime}}</th>
                <th scope="col" class="thirty">{{route.reiswegStappen.slice(-1)[0].aankomstLocatie}}</th>
                <th scope="col" class="thirty">
                    <div class="emoji" v-for="(step,i) in route.reiswegStappen.filter(s => s.type !== 'WACHTEN')" v-bind:key="i">
                        {{step_to_emoji(step)}}
                    </div>
                </th>
            </thead>
            <tbody v-show="show">
                <tr v-for="(step,i) in route.reiswegStappen.filter(s => s.type !== 'WACHTEN')" v-bind:key="i">
                    <td >{{step.duration}} min</td>
                    <td >{{step.start}}</td>
                    <td>{{step.startLocatie}}</td>
                    <td >{{step.end}}</td>
                    <td>{{step.aankomstLocatie}}</td>
                    <td>{{step_to_emoji(step)}}</td>
                </tr>
            </tbody>
        </table>
    </div>
</template>

<script>
  export default {
    name: 'Route',
    props: {
      route: Object
    },
    data() {
      return {
        show: false
      }
    },
    methods: {
      step_to_emoji(step){
        if(step.type === "WANDELEN") return " 🚶 ";
        if(step.type === "WACHTEN") return " ⏲️ ";
        if(step.type === "VOERTUIG" && step.vervoerType==="trein") return " 🚆 ";
        if(step.type === "VOERTUIG" && step.vervoerType==="bus") return  " 🚌 " +step.lijn.lijnNummerPubliek;
        if(step.type === "VOERTUIG" && step.vervoerType==="tram") return " 🚋 " + step.lijn.lijnNummerPubliek;
      },
    }
  }
</script>
<style>
    .emoji {
        display: inline;
        padding: 1px;
    }
</style>
